-- dropar calculo do ipi vw_nfe_item_ipi
create view vw_item_imposto
as
-- drop view vw_item_imposto
select	ite.id_nfe ,
		ite.nr_item,
		pro.ds_uf  ,
		pro.tp_imposto, imp.vl_BC, p.id_ncm, pro.vp_icms, pro.vp_ipi, pro.vp_pis, pro.vp_cofins,
		-- (base de cálculo = (valor da operação * alíquota normal) / 100
		(ite.vl_totalcom * pro.vp_pis   ) / 100 as vl_pis ,
		(ite.vl_totalcom * pro.vp_cofins) / 100 as vl_cofins
		-- utilizada para IPI, não utilizar agora
		/*case when pro.tp_imposto = 'N' then '53' -- 53 - Saída Não-Tributada
            when pro.tp_imposto = 'T' then '50' -- 50 - Saída Tributada (Código da Situação Tributária)
			else '' end as tp_cst,
		case when pro.tp_imposto = 'T' then (imp.vl_BC / 100) * pro.vp_ipi 
			else '' end as vl_ipi,*/
from   nfe_item 			ite
join   nfe_item_imposto 	imp 
	on ite.id = imp.id_item
join   nfe_produto_imposto 	pro
	on ite.id_produto = pro.id_produto
join   nfe_produto = p
    on pro.id_produto = p.id
join   nfe_cab c 
	on c.id = ite.id_nfe
join   nfe_filial f on c.id_filial = c.id
where  f.ds_uf = pro.ds_uf
;